# Trigger WhatsApp Challenge

To trigger a WhatsApp challenge by sending WhatsApp message to user verified phone number containing a 6 digit one time password (OTP).

This OTP code can be used to clear a WHATSAPP challenge by using the Verify WhatsApp endpoint.

{% admonition type="warning" %}
The Trigger WhatsApp Challenge API is currently in closed Beta and subject to change. Please speak with your implementation manager if you would like to use this API.
{% /admonition %}

Endpoint: POST /v1/one-time-token/whatsapp/trigger
Security: UserToken

## Header parameters:

  - `One-Time-Token` (string, required)
    Text value of a OTT.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Response 200 fields (application/json):

  - `obfuscatedPhoneNo` (string)
    Obfuscated phone number that can be used as a hint for the end customer regarding which phone number the WhatsApp message was sent to.
    Example: "*********8888"


